Building Qt5.0: Can't find GL includes



  • I'm trying to build Qt 5.0 on the Pi, and get a ton GL-related errors when compiling qquickpixmapcache.cpp:

    @‘GLenum’ has not been declared
    ‘GL_UNSIGNED_SHORT’ was not declared in this scope
    'GL_UNSIGNED_BYTE' was not declared in this scope@

    and so on.

    I've found that I had to install the packages mesa-common-dev and libglu1-mesa-dev, which I did. I can now see include files in usr/include/GL, e.g. the define for GL_UNSIGNED_SHORT in gl.h

    Seems that Qt can't find them, even though they are installed in the default location.

    My 'configure' options are:
    -prefix -opensource -nomake examples -nomake tests -no-pch


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.